
#import <appkit/appkit.h>

@interface RulePanel:View {

/* Rule Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		infoPanel;
	id		mainWindow;
	id		menuCopy;
	id		menuPrint;
	id		nowBox;
	id		nowSpesh;
	id		speshPanel;
	id		probView;

/* Main Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		ascru;
	id		toascru;
	id		pSliders;
	id		pWindows;
	id		ruleBox;
	id		ruleNumber;
	id		totlRef;
	id		sIncr;
	id		tiDat;
	id		tiTime;
	id		wrule;

	id		s00,s01,s02,s10,s11,s12,s20,s21,s22;

	id		gfWindow;

/* ----- symmetry class  Window -----------------------------------------*/

	id		symBox;
	id		symImages;
	id		symMinimum;
	id		symWindow;

	id		stRuleNumber;
	id		stWindow;

	id		toBox;
	id		toFullNumber;
	id		toRuleNumber;
	id		toWindow;

	id		statEntro;
	id		statPEntro;
	id		statIndx;
	id		statLamb;
	id		statPairs;
	id		statProds;
	id		statState;
	id		statXeno;

	id		designPrm;
	id		designRef;
	id		zeZeZe;

/* - - - - - - - -   arithmetic box    - - - - - - - - - - */

	id		arithmRuleBox;
	id		twoRules;

	id		browser;

/* - - - - -  special rule box management - - - - - - - - */

	id		specBigBox;
	id		specLilBox;
	id		equivRuleBox;
	id		aritmRuleBox;

	id		changeLine;

/* - - - - - -  Author box management  - - - - - - - - - - */

	id 		anotherLilBox;
	id		anotherBigBox;
	id		automatonBox;
	id		authorBox;
	id 		theBox;
	id		auxBox;

/* - - - - - - - - -  REC line configuration - - - - - - - - */

	id 		RECLine;
	id		RECValue;
	id		RECPanel;

/* - - - - - - - - -  composite rule  - - - - - - - - - - - */

	id		composRuleBox;
	id		composRuleNumb;

}

- freeAllRules:sender;
- ranRules:sender;
- ranPRules:sender;
- relatedRule:sender;
- readTRule:sender;
- readWRule:sender;
- protectGenRule:sender;
- setAllRules:sender;
- setDemo:sender;
- setDimension:sender;
- setRule:sender;
- showProbability:sender;
- symRule:sender;
- idenRules:sender;
- zeroRules:sender; 

- randomLine:sender;
- sCellLine:sender;
- uniformLine:sender;

- enterGF2Rule:sender; 
- setMCoeff:sender;
- setSCoeff:sender;
- setVCoeff:sender;

- showSymClass:sender;

- enterSemiRule:sender;
- setSemiState:sender;

- enterTotalisticRule:sender;
- setTotRules:sender;
- setTotalisticState:sender;

- xenophilic:sender;
- xenophobic:sender;

- clearDesign:sender;
- copyToDesign:sender;
- deZign:sender;
- enterDesign:sender;
 
/*  - - - - - - - -   arithmRuleBox   - - - - - - - - */

- arithmCombs:sender;
- initTwoRules:sender;

/*                 special rule box management        */

- loadSpecialRule:sender;
- loadLowerPanel:thisRuleBox;

/* - - - - - -  author box management - - - - - - - - */

- loadBox:sender;

/* - - - - - - -  REC line configuration  - - - - - - - - */

- useRECLine:sender;
- runRECLine:sender;

/* - - - - - - - - -  composite rule  - - - - - - - - - - */

- composRule:sender;
- compxRule:sender;
- comprRule:sender;

@end 

/* end RulePanel.h */ 
